API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Get audio file info for a call GETGet call detail with transcript, classification, and summary GETGet upload job status GETList calls with pagination and optional date filter GETSearch calls by keyword GETManually set or clear a call's category PATCHUpload audio for transcription POST
ReferenceCalls

Get upload job status

Returns the current status of an upload job. When status is COMPLETED, transcriptId will be set.

GET/v1/projects/{projectId}/calls/jobs/{jobId}

Returns the current status of an upload job. When status is COMPLETED, transcriptId will be set.

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid
jobId*string
Formatuuid

Response Body

*/*

*/*

curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/calls/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "jobId": "string",  "status": "PENDING",  "originalFilename": "string",  "contentType": "string",  "sizeBytes": 0,  "storagePath": "string",  "errorMessage": "string",  "transcriptId": "string",  "submittedAt": "2019-08-24T14:15:22Z"}

Get call detail with transcript, classification, and summary GET

Previous Page

List calls with pagination and optional date filter GET

Returns a paginated list of calls ordered by creation date. When 'from' and/or 'to' are omitted, no date filtering is applied — all calls are returned.